POST https://api.staging.deliverect.com /catalog/accounts/{accountId}/inventoryUploadUrl Staging Environment

Inventory Update

Inventory Update (Retail)

To support changes to item availability, Deliverect can receive an inventory file.

Purpose

The method to transfer an Inventory CSV file allows the following;

  • Defining product ranging per Location / Location_Group
  • Defining pricing strategy per Location / Location_Group and Channel
  • Updating stock count per Location
  • Updating stock status (IN_STOCK / OUT_OF_STOCK)

Method

To process Inventory updates, a two step process is required to first request a signed URL via Google Cloud Services (GCS) to then submit a CSV file of Inventory data via PUT request.

1.Request a Signed URL

Sending a request to this endpoint with a callbackUrl will return a signedUrl from GCS (Google Cloud Services) with specific headers.

2.Submit .csv file via PUT Request

Once a signedUrl is retrieved, the Inventory update process is as follows;

  • Your Inventory .csv file should be submitted via a PUT request to the signedUrl with all the headers provided
  • Deliverect will then process the CSV asynchronously and callback to the provided callbackUrl when the CSV file has been fully processed.
Authentication:  Bearer auth (http)

Path parameters

  • string Required

Request Headers

  • string Required

Body

  • string
POST /catalog/accounts/{accountId}/inventoryUploadUrl
Loading...

Share your request

Use this link to easily share a pre-filled request of this operation. Everything you filled will be shared apart from the authentication fields.

Request URL

https://docs.deliverect.com/doc/retail-pos/explorer/operation/operation-post-catalog-accounts-parameter-inventoryuploadurl

Send a delete request

It looks like you’re about to send a DELETE request to this API. This type of request carries a risk of permanent and irreversible data loss.

Are you sure you want to continue?
Response
Waiting for a request to be sent.